EDIT - bug #9714

cdm-light export: NotSerializableException when starting export via http invoker
07/17/2021 03:35 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.26

Severity: critical Found in Version:

Description

ich kann den Cactaceae-Export aus Caryophyllales_spp immer noch nicht machen, bekomme sofort den untenstehenden Fehler.
Alles andere scheint zu laufen.

HG
W

last remote method : http://api.cybertaxonomy.org:80/caryophyllales_spp/remoting/classification.se
rvice

last remote request client time : 2021-07-17T05:23:55.482

last remote request response header time : Sat, 17 Jul 2021 03:23:53 GMT

client error time : 2021-07-17T05:23:55.683

login : w.berendsohn

editor version : 5.25.0

server : api.cybertaxonomy.org (cybertaxonomy.org) / caryophyllales_spp

schema version : 5.25.1.0.20210702

os : Windows 10 10.0 amdé64

java : 1.8.0_291

org.springframework.remoting.RemoteAccessException: Could not access HTTP invoker remote service a
t [http://api.cybertaxonomy.org:80/caryophyllales_spp/remoting/io.service]; nested exception is ja

va.io.NotSerializableException: eu.etaxonomy.cdm.ext.geo.CondensedDistributionConfiguration

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.convertHt
tpInvokerAccessException (HttpInvokerClientInterceptor. java:226)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (Ht
tpInvokerClientInterceptor. java:153)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (Reflective
MethodInvocation. java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.
java:213)

at com.sun.proxy.S$Proxy50.monitExportData (Unknown Source)

at eu.etaxonomy.taxeditor.io.ExportManager.runMoniteredOperation (ExportManager. jav
a:372)

at eu.etaxonomy.taxeditor.io.ed.out.cdmlight.CdmLightExportWizardE4.performFinish (
CdmLightExportWizardE4. java:131)

04/09/2024 1/5




at

at

at

at

at

at

at

at

at

at

at

org

org.

org.

org.

org.

org.

org.

org.

org

org.

org

.eclipse.

eclipse.

eclipse.

eclipse.

eclipse.

eclipse.

eclipse.

eclipse.

.eclipse.

eclipse.

.eclipse.

jface.wizard.WizardDialog.finishPressed (WizardDialog. java:790)

jface.wizard.WizardDialog.buttonPressed (WizardDialog.java:423)

jface.dialogs.Dialog$2.widgetSelected (Dialog. java:618)

swt.

sSwt .

swt

swt.

swt.

sSwt .

widgets

.widgets.

widgets

widgets

widgets.

widgets.

.TypedListener.handleEvent (TypedListener. java:249)

EventTable.sendEvent (EventTable. java:84)

Display.sendEvent (Display. java:4418)

.Widget.sendEvent (Widget. java:1079)

Display.runDeferredEvents (Display.java:4236)

.Display.readAndDispatch (Display.java:3824)

jface.window.Window.runEventLoop (Window. java:818)

jface.window.Window.open (Window. java:794)

at eu.etaxonomy.taxeditor.io.ed.out.AbstractOpenExportWizard.execute (AbstractOpenkE

xportWizard. java:30)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at

at

at

at

at

:282)

at
:288)

at

at
tory.java:132)

at

sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

java.lang.reflect.Method.invoke (Unknown Source)

org.eclipse.ed.core.

org.

org.

org.

org.

org.

iceHandler. java:152)

at

at
ommand. java:488)

at

org.

org.

org.

ServicelImpl. java:210)

at

org.
andledContributionItem.

eclipse.

eclipse.

eclipse.

eclipse.

eclipse.

eclipse.

eclipse.

eclipse.

ed.

ed

ed

ed.

ed

internal.di.MethodRequestor.execute (MethodRequestor. java:55

core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java

.core.internal.di.InjectorImpl.invokeUsingClass (InjectorImpl. java

.core.internal.di.InjectorImpl.invoke (InjectorImpl.java:264)

core.contexts.ContextInjectionFactory.invoke (ContextInjectionFac

.core.commands.internal.HandlerServiceHandler.execute (HandlerServ

core.commands.Command.executeWithChecks (Command. java:494)

core.commands.ParameterizedCommand.executeWithChecks (ParameterizedC

ed.core.commands.internal.HandlerServiceImpl.executeHandler (Handler

eclipse.ed.ui.workbench.renderers.swt.HandledContributionItem.executeltem (H
java:433)

at org.eclipse.e4d.ui.workbench.renderers.swt.AbstractContributionItem.handleWidget

Selection (AbstractContributionItem. java:454)
Associated revisions

Revision 90720c06 - 07/17/2021 03:58 PM - Andreas Kohlbecker

ref #9714 making CondensedDistributionConfiguration serializable

History

#1 - 07/17/2021 03:35 PM - Andreas Kohlbecker
- Status changed from New to In Progress

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

#2 - 08/02/2021 02:57 PM - Andreas Kohlbecker
- Status changed from In Progress to Closed

- Target version changed from Release 5.45 to Release 5.26
- % Done changed from 0 to 100
